<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "sosialisasiinfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$sosialisasi_delete = NULL; // Initialize page object first

class csosialisasi_delete extends csosialisasi {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'sosialisasi';

	// Page object name
	var $PageObjName = 'sosialisasi_delete';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (sosialisasi)
		if (!isset($GLOBALS["sosialisasi"]) || get_class($GLOBALS["sosialisasi"]) == "csosialisasi") {
			$GLOBALS["sosialisasi"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["sosialisasi"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'sosialisasi', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("sosialisasilist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 

		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->sos_id->SetVisibility();
		if ($this->IsAdd() || $this->IsCopy() || $this->IsGridAdd())
			$this->sos_id->Visible = FALSE;
		$this->sos_tgl->SetVisibility();
		$this->ts_id->SetVisibility();
		$this->sos_co->SetVisibility();
		$this->sos_peserta->SetVisibility();
		$this->sos_prov->SetVisibility();
		$this->sos_kab->SetVisibility();
		$this->sos_kec->SetVisibility();
		$this->sos_desa->SetVisibility();
		$this->sos_alamat->SetVisibility();
		$this->sos_pot_lahan->SetVisibility();
		$this->sos_katinggian->SetVisibility();
		$this->sos_biaya->SetVisibility();
		$this->sos_kesimpulan->SetVisibility();
		$this->sos_foto->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $sosialisasi;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($sosialisasi);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			ew_SaveDebugMsg();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("sosialisasilist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in sosialisasi class, sosialisasiinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} elseif (@$_GET["a_delete"] == "1") {
			$this->CurrentAction = "D"; // Delete record directly
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("sosialisasilist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->ListSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->sos_id->setDbValue($row['sos_id']);
		$this->sos_tgl->setDbValue($row['sos_tgl']);
		$this->ts_id->setDbValue($row['ts_id']);
		$this->sos_co->setDbValue($row['sos_co']);
		$this->sos_peserta->setDbValue($row['sos_peserta']);
		$this->sos_prov->setDbValue($row['sos_prov']);
		$this->sos_kab->setDbValue($row['sos_kab']);
		$this->sos_kec->setDbValue($row['sos_kec']);
		$this->sos_desa->setDbValue($row['sos_desa']);
		$this->sos_alamat->setDbValue($row['sos_alamat']);
		$this->sos_pot_lahan->setDbValue($row['sos_pot_lahan']);
		$this->sos_katinggian->setDbValue($row['sos_katinggian']);
		$this->sos_biaya->setDbValue($row['sos_biaya']);
		$this->sos_kesimpulan->setDbValue($row['sos_kesimpulan']);
		$this->sos_foto->Upload->DbValue = $row['sos_foto'];
		$this->sos_foto->setDbValue($this->sos_foto->Upload->DbValue);
	}

	// Return a row with default values
	function NewRow() {
		$row = array();
		$row['sos_id'] = NULL;
		$row['sos_tgl'] = NULL;
		$row['ts_id'] = NULL;
		$row['sos_co'] = NULL;
		$row['sos_peserta'] = NULL;
		$row['sos_prov'] = NULL;
		$row['sos_kab'] = NULL;
		$row['sos_kec'] = NULL;
		$row['sos_desa'] = NULL;
		$row['sos_alamat'] = NULL;
		$row['sos_pot_lahan'] = NULL;
		$row['sos_katinggian'] = NULL;
		$row['sos_biaya'] = NULL;
		$row['sos_kesimpulan'] = NULL;
		$row['sos_foto'] = NULL;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->sos_id->DbValue = $row['sos_id'];
		$this->sos_tgl->DbValue = $row['sos_tgl'];
		$this->ts_id->DbValue = $row['ts_id'];
		$this->sos_co->DbValue = $row['sos_co'];
		$this->sos_peserta->DbValue = $row['sos_peserta'];
		$this->sos_prov->DbValue = $row['sos_prov'];
		$this->sos_kab->DbValue = $row['sos_kab'];
		$this->sos_kec->DbValue = $row['sos_kec'];
		$this->sos_desa->DbValue = $row['sos_desa'];
		$this->sos_alamat->DbValue = $row['sos_alamat'];
		$this->sos_pot_lahan->DbValue = $row['sos_pot_lahan'];
		$this->sos_katinggian->DbValue = $row['sos_katinggian'];
		$this->sos_biaya->DbValue = $row['sos_biaya'];
		$this->sos_kesimpulan->DbValue = $row['sos_kesimpulan'];
		$this->sos_foto->Upload->DbValue = $row['sos_foto'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// sos_id
		// sos_tgl
		// ts_id
		// sos_co
		// sos_peserta
		// sos_prov
		// sos_kab
		// sos_kec
		// sos_desa
		// sos_alamat
		// sos_pot_lahan
		// sos_katinggian
		// sos_biaya
		// sos_kesimpulan
		// sos_foto

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// sos_id
		$this->sos_id->ViewValue = $this->sos_id->CurrentValue;
		$this->sos_id->ViewCustomAttributes = "";

		// sos_tgl
		$this->sos_tgl->ViewValue = $this->sos_tgl->CurrentValue;
		$this->sos_tgl->ViewValue = ew_FormatDateTime($this->sos_tgl->ViewValue, 0);
		$this->sos_tgl->ViewCustomAttributes = "";

		// ts_id
		if (strval($this->ts_id->CurrentValue) <> "") {
			$sFilterWrk = "`ts_id`" . ew_SearchString("=", $this->ts_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `ts_id`, `ts_judul` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tema_sosialisasi`";
		$sWhereWrk = "";
		$this->ts_id->LookupFilters = array("dx1" => '`ts_judul`');
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->ts_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->ts_id->ViewValue = $this->ts_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->ts_id->ViewValue = $this->ts_id->CurrentValue;
			}
		} else {
			$this->ts_id->ViewValue = NULL;
		}
		$this->ts_id->ViewCustomAttributes = "";

		// sos_co
		if (strval($this->sos_co->CurrentValue) <> "") {
			$sFilterWrk = "`co_id`" . ew_SearchString("=", $this->sos_co->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `co_id`, `co_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `co`";
		$sWhereWrk = "";
		$this->sos_co->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_co, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `co_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->sos_co->ViewValue = $this->sos_co->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sos_co->ViewValue = $this->sos_co->CurrentValue;
			}
		} else {
			$this->sos_co->ViewValue = NULL;
		}
		$this->sos_co->ViewCustomAttributes = "";

		// sos_peserta
		if (strval($this->sos_peserta->CurrentValue) <> "") {
			$arwrk = explode(",", $this->sos_peserta->CurrentValue);
			$sFilterWrk = "";
			foreach ($arwrk as $wrk) {
				if ($sFilterWrk <> "") $sFilterWrk .= " OR ";
				$sFilterWrk .= "`pes_id`" . ew_SearchString("=", trim($wrk), EW_DATATYPE_NUMBER, "");
			}
		$sSqlWrk = "SELECT `pes_id`, `pes_nama` AS `DispFld`, `kab_id` AS `Disp2Fld`, `kec_id` AS `Disp3Fld`, `desa_id` AS `Disp4Fld` FROM `peserta`";
		$sWhereWrk = "";
		$this->sos_peserta->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_peserta, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `pes_id` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->sos_peserta->ViewValue = "";
				$ari = 0;
				while (!$rswrk->EOF) {
					$arwrk = array();
					$arwrk[1] = $rswrk->fields('DispFld');
					$arwrk[2] = $rswrk->fields('Disp2Fld');
					$arwrk[3] = $rswrk->fields('Disp3Fld');
					$arwrk[4] = $rswrk->fields('Disp4Fld');
					$this->sos_peserta->ViewValue .= $this->sos_peserta->DisplayValue($arwrk);
					$rswrk->MoveNext();
					if (!$rswrk->EOF) $this->sos_peserta->ViewValue .= ew_ViewOptionSeparator($ari); // Separate Options
					$ari++;
				}
				$rswrk->Close();
			} else {
				$this->sos_peserta->ViewValue = $this->sos_peserta->CurrentValue;
			}
		} else {
			$this->sos_peserta->ViewValue = NULL;
		}
		$this->sos_peserta->CellCssStyle .= "text-align: left;";
		$this->sos_peserta->ViewCustomAttributes = "";

		// sos_prov
		if (strval($this->sos_prov->CurrentValue) <> "") {
			$sFilterWrk = "`prov_id`" . ew_SearchString("=", $this->sos_prov->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `prov_id`, `prov_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `prov`";
		$sWhereWrk = "";
		$this->sos_prov->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_prov, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `prov_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->sos_prov->ViewValue = $this->sos_prov->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sos_prov->ViewValue = $this->sos_prov->CurrentValue;
			}
		} else {
			$this->sos_prov->ViewValue = NULL;
		}
		$this->sos_prov->ViewCustomAttributes = "";

		// sos_kab
		if (strval($this->sos_kab->CurrentValue) <> "") {
			$sFilterWrk = "`kab_id`" . ew_SearchString("=", $this->sos_kab->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `kab_id`, `kab_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kab`";
		$sWhereWrk = "";
		$this->sos_kab->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_kab, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `kab_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->sos_kab->ViewValue = $this->sos_kab->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sos_kab->ViewValue = $this->sos_kab->CurrentValue;
			}
		} else {
			$this->sos_kab->ViewValue = NULL;
		}
		$this->sos_kab->ViewCustomAttributes = "";

		// sos_kec
		if (strval($this->sos_kec->CurrentValue) <> "") {
			$sFilterWrk = "`kec_id`" . ew_SearchString("=", $this->sos_kec->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `kec_id`, `kec_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kec`";
		$sWhereWrk = "";
		$this->sos_kec->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_kec, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `kec_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->sos_kec->ViewValue = $this->sos_kec->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sos_kec->ViewValue = $this->sos_kec->CurrentValue;
			}
		} else {
			$this->sos_kec->ViewValue = NULL;
		}
		$this->sos_kec->ViewCustomAttributes = "";

		// sos_desa
		if (strval($this->sos_desa->CurrentValue) <> "") {
			$sFilterWrk = "`desa_id`" . ew_SearchString("=", $this->sos_desa->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `desa_id`, `desa_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `desa`";
		$sWhereWrk = "";
		$this->sos_desa->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sos_desa, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `desa_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->sos_desa->ViewValue = $this->sos_desa->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sos_desa->ViewValue = $this->sos_desa->CurrentValue;
			}
		} else {
			$this->sos_desa->ViewValue = NULL;
		}
		$this->sos_desa->ViewCustomAttributes = "";

		// sos_alamat
		$this->sos_alamat->ViewValue = $this->sos_alamat->CurrentValue;
		$this->sos_alamat->ViewCustomAttributes = "";

		// sos_pot_lahan
		$this->sos_pot_lahan->ViewValue = $this->sos_pot_lahan->CurrentValue;
		$this->sos_pot_lahan->CellCssStyle .= "text-align: right;";
		$this->sos_pot_lahan->ViewCustomAttributes = "";

		// sos_katinggian
		$this->sos_katinggian->ViewValue = $this->sos_katinggian->CurrentValue;
		$this->sos_katinggian->CellCssStyle .= "text-align: right;";
		$this->sos_katinggian->ViewCustomAttributes = "";

		// sos_biaya
		$this->sos_biaya->ViewValue = $this->sos_biaya->CurrentValue;
		$this->sos_biaya->ViewCustomAttributes = "";

		// sos_kesimpulan
		$this->sos_kesimpulan->ViewValue = $this->sos_kesimpulan->CurrentValue;
		$this->sos_kesimpulan->ViewCustomAttributes = "";

		// sos_foto
		$this->sos_foto->UploadPath = "foto_sosialisasi";
		if (!ew_Empty($this->sos_foto->Upload->DbValue)) {
			$this->sos_foto->ImageWidth = 80;
			$this->sos_foto->ImageHeight = 60;
			$this->sos_foto->ImageAlt = $this->sos_foto->FldAlt();
			$this->sos_foto->ViewValue = $this->sos_foto->Upload->DbValue;
		} else {
			$this->sos_foto->ViewValue = "";
		}
		$this->sos_foto->CellCssStyle .= "text-align: center;";
		$this->sos_foto->ViewCustomAttributes = "";

			// sos_id
			$this->sos_id->LinkCustomAttributes = "";
			$this->sos_id->HrefValue = "";
			$this->sos_id->TooltipValue = "";

			// sos_tgl
			$this->sos_tgl->LinkCustomAttributes = "";
			$this->sos_tgl->HrefValue = "";
			$this->sos_tgl->TooltipValue = "";

			// ts_id
			$this->ts_id->LinkCustomAttributes = "";
			$this->ts_id->HrefValue = "";
			$this->ts_id->TooltipValue = "";

			// sos_co
			$this->sos_co->LinkCustomAttributes = "";
			$this->sos_co->HrefValue = "";
			$this->sos_co->TooltipValue = "";

			// sos_peserta
			$this->sos_peserta->LinkCustomAttributes = "";
			$this->sos_peserta->HrefValue = "";
			$this->sos_peserta->TooltipValue = "";

			// sos_prov
			$this->sos_prov->LinkCustomAttributes = "";
			$this->sos_prov->HrefValue = "";
			$this->sos_prov->TooltipValue = "";

			// sos_kab
			$this->sos_kab->LinkCustomAttributes = "";
			$this->sos_kab->HrefValue = "";
			$this->sos_kab->TooltipValue = "";

			// sos_kec
			$this->sos_kec->LinkCustomAttributes = "";
			$this->sos_kec->HrefValue = "";
			$this->sos_kec->TooltipValue = "";

			// sos_desa
			$this->sos_desa->LinkCustomAttributes = "";
			$this->sos_desa->HrefValue = "";
			$this->sos_desa->TooltipValue = "";

			// sos_alamat
			$this->sos_alamat->LinkCustomAttributes = "";
			$this->sos_alamat->HrefValue = "";
			$this->sos_alamat->TooltipValue = "";

			// sos_pot_lahan
			$this->sos_pot_lahan->LinkCustomAttributes = "";
			$this->sos_pot_lahan->HrefValue = "";
			$this->sos_pot_lahan->TooltipValue = "";

			// sos_katinggian
			$this->sos_katinggian->LinkCustomAttributes = "";
			$this->sos_katinggian->HrefValue = "";
			$this->sos_katinggian->TooltipValue = "";

			// sos_biaya
			$this->sos_biaya->LinkCustomAttributes = "";
			$this->sos_biaya->HrefValue = "";
			$this->sos_biaya->TooltipValue = "";

			// sos_kesimpulan
			$this->sos_kesimpulan->LinkCustomAttributes = "";
			$this->sos_kesimpulan->HrefValue = "";
			$this->sos_kesimpulan->TooltipValue = "";

			// sos_foto
			$this->sos_foto->LinkCustomAttributes = "";
			$this->sos_foto->UploadPath = "foto_sosialisasi";
			if (!ew_Empty($this->sos_foto->Upload->DbValue)) {
				$this->sos_foto->HrefValue = "%u"; // Add prefix/suffix
				$this->sos_foto->LinkAttrs["target"] = ""; // Add target
				if ($this->Export <> "") $this->sos_foto->HrefValue = ew_FullUrl($this->sos_foto->HrefValue, "href");
			} else {
				$this->sos_foto->HrefValue = "";
			}
			$this->sos_foto->HrefValue2 = $this->sos_foto->UploadPath . $this->sos_foto->Upload->DbValue;
			$this->sos_foto->TooltipValue = "";
			if ($this->sos_foto->UseColorbox) {
				if (ew_Empty($this->sos_foto->TooltipValue))
					$this->sos_foto->LinkAttrs["title"] = $Language->Phrase("ViewImageGallery");
				$this->sos_foto->LinkAttrs["data-rel"] = "sosialisasi_x_sos_foto";
				ew_AppendClass($this->sos_foto->LinkAttrs["class"], "ewLightbox");
			}
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['sos_id'];

				// Delete old files
				$this->LoadDbValues($row);
				$this->sos_foto->OldUploadPath = "foto_sosialisasi";
				$OldFiles = ew_Empty($row['sos_foto']) ? array() : explode(EW_MULTIPLE_UPLOAD_SEPARATOR, $row['sos_foto']);
				$OldFileCount = count($OldFiles);
				for ($i = 0; $i < $OldFileCount; $i++) {
					if (file_exists($this->sos_foto->OldPhysicalUploadPath() . $OldFiles[$i]))
						@unlink($this->sos_foto->OldPhysicalUploadPath() . $OldFiles[$i]);
				}
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		}
		if (!$DeleteRows) {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("sosialisasilist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($sosialisasi_delete)) $sosialisasi_delete = new csosialisasi_delete();

// Page init
$sosialisasi_delete->Page_Init();

// Page main
$sosialisasi_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$sosialisasi_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fsosialisasidelete = new ew_Form("fsosialisasidelete", "delete");

// Form_CustomValidate event
fsosialisasidelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
fsosialisasidelete.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
fsosialisasidelete.Lists["x_ts_id"] = {"LinkField":"x_ts_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_ts_judul","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"tema_sosialisasi"};
fsosialisasidelete.Lists["x_ts_id"].Data = "<?php echo $sosialisasi_delete->ts_id->LookupFilterQuery(FALSE, "delete") ?>";
fsosialisasidelete.Lists["x_sos_co"] = {"LinkField":"x_co_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_co_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"co"};
fsosialisasidelete.Lists["x_sos_co"].Data = "<?php echo $sosialisasi_delete->sos_co->LookupFilterQuery(FALSE, "delete") ?>";
fsosialisasidelete.Lists["x_sos_peserta[]"] = {"LinkField":"x_pes_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_pes_nama","x_kab_id","x_kec_id","x_desa_id"],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"peserta"};
fsosialisasidelete.Lists["x_sos_peserta[]"].Data = "<?php echo $sosialisasi_delete->sos_peserta->LookupFilterQuery(FALSE, "delete") ?>";
fsosialisasidelete.Lists["x_sos_prov"] = {"LinkField":"x_prov_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_prov_nama","","",""],"ParentFields":[],"ChildFields":["x_sos_kab","x_sos_kec","x_sos_desa"],"FilterFields":[],"Options":[],"Template":"","LinkTable":"prov"};
fsosialisasidelete.Lists["x_sos_prov"].Data = "<?php echo $sosialisasi_delete->sos_prov->LookupFilterQuery(FALSE, "delete") ?>";
fsosialisasidelete.Lists["x_sos_kab"] = {"LinkField":"x_kab_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_kab_nama","","",""],"ParentFields":[],"ChildFields":["x_sos_kec","x_sos_desa"],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kab"};
fsosialisasidelete.Lists["x_sos_kab"].Data = "<?php echo $sosialisasi_delete->sos_kab->LookupFilterQuery(FALSE, "delete") ?>";
fsosialisasidelete.Lists["x_sos_kec"] = {"LinkField":"x_kec_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_kec_nama","","",""],"ParentFields":[],"ChildFields":["x_sos_desa"],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kec"};
fsosialisasidelete.Lists["x_sos_kec"].Data = "<?php echo $sosialisasi_delete->sos_kec->LookupFilterQuery(FALSE, "delete") ?>";
fsosialisasidelete.Lists["x_sos_desa"] = {"LinkField":"x_desa_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_desa_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"desa"};
fsosialisasidelete.Lists["x_sos_desa"].Data = "<?php echo $sosialisasi_delete->sos_desa->LookupFilterQuery(FALSE, "delete") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $sosialisasi_delete->ShowPageHeader(); ?>
<?php
$sosialisasi_delete->ShowMessage();
?>
<form name="fsosialisasidelete" id="fsosialisasidelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($sosialisasi_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $sosialisasi_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="sosialisasi">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($sosialisasi_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="box ewBox ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { ?>table-responsive <?php } ?>ewGridMiddlePanel">
<table class="table ewTable">
	<thead>
	<tr class="ewTableHeader">
<?php if ($sosialisasi->sos_id->Visible) { // sos_id ?>
		<th class="<?php echo $sosialisasi->sos_id->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_id" class="sosialisasi_sos_id"><?php echo $sosialisasi->sos_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_tgl->Visible) { // sos_tgl ?>
		<th class="<?php echo $sosialisasi->sos_tgl->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_tgl" class="sosialisasi_sos_tgl"><?php echo $sosialisasi->sos_tgl->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->ts_id->Visible) { // ts_id ?>
		<th class="<?php echo $sosialisasi->ts_id->HeaderCellClass() ?>"><span id="elh_sosialisasi_ts_id" class="sosialisasi_ts_id"><?php echo $sosialisasi->ts_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_co->Visible) { // sos_co ?>
		<th class="<?php echo $sosialisasi->sos_co->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_co" class="sosialisasi_sos_co"><?php echo $sosialisasi->sos_co->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_peserta->Visible) { // sos_peserta ?>
		<th class="<?php echo $sosialisasi->sos_peserta->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_peserta" class="sosialisasi_sos_peserta"><?php echo $sosialisasi->sos_peserta->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_prov->Visible) { // sos_prov ?>
		<th class="<?php echo $sosialisasi->sos_prov->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_prov" class="sosialisasi_sos_prov"><?php echo $sosialisasi->sos_prov->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_kab->Visible) { // sos_kab ?>
		<th class="<?php echo $sosialisasi->sos_kab->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_kab" class="sosialisasi_sos_kab"><?php echo $sosialisasi->sos_kab->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_kec->Visible) { // sos_kec ?>
		<th class="<?php echo $sosialisasi->sos_kec->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_kec" class="sosialisasi_sos_kec"><?php echo $sosialisasi->sos_kec->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_desa->Visible) { // sos_desa ?>
		<th class="<?php echo $sosialisasi->sos_desa->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_desa" class="sosialisasi_sos_desa"><?php echo $sosialisasi->sos_desa->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_alamat->Visible) { // sos_alamat ?>
		<th class="<?php echo $sosialisasi->sos_alamat->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_alamat" class="sosialisasi_sos_alamat"><?php echo $sosialisasi->sos_alamat->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_pot_lahan->Visible) { // sos_pot_lahan ?>
		<th class="<?php echo $sosialisasi->sos_pot_lahan->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_pot_lahan" class="sosialisasi_sos_pot_lahan"><?php echo $sosialisasi->sos_pot_lahan->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_katinggian->Visible) { // sos_katinggian ?>
		<th class="<?php echo $sosialisasi->sos_katinggian->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_katinggian" class="sosialisasi_sos_katinggian"><?php echo $sosialisasi->sos_katinggian->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_biaya->Visible) { // sos_biaya ?>
		<th class="<?php echo $sosialisasi->sos_biaya->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_biaya" class="sosialisasi_sos_biaya"><?php echo $sosialisasi->sos_biaya->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_kesimpulan->Visible) { // sos_kesimpulan ?>
		<th class="<?php echo $sosialisasi->sos_kesimpulan->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_kesimpulan" class="sosialisasi_sos_kesimpulan"><?php echo $sosialisasi->sos_kesimpulan->FldCaption() ?></span></th>
<?php } ?>
<?php if ($sosialisasi->sos_foto->Visible) { // sos_foto ?>
		<th class="<?php echo $sosialisasi->sos_foto->HeaderCellClass() ?>"><span id="elh_sosialisasi_sos_foto" class="sosialisasi_sos_foto"><?php echo $sosialisasi->sos_foto->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$sosialisasi_delete->RecCnt = 0;
$i = 0;
while (!$sosialisasi_delete->Recordset->EOF) {
	$sosialisasi_delete->RecCnt++;
	$sosialisasi_delete->RowCnt++;

	// Set row properties
	$sosialisasi->ResetAttrs();
	$sosialisasi->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$sosialisasi_delete->LoadRowValues($sosialisasi_delete->Recordset);

	// Render row
	$sosialisasi_delete->RenderRow();
?>
	<tr<?php echo $sosialisasi->RowAttributes() ?>>
<?php if ($sosialisasi->sos_id->Visible) { // sos_id ?>
		<td<?php echo $sosialisasi->sos_id->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_id" class="sosialisasi_sos_id">
<span<?php echo $sosialisasi->sos_id->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_tgl->Visible) { // sos_tgl ?>
		<td<?php echo $sosialisasi->sos_tgl->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_tgl" class="sosialisasi_sos_tgl">
<span<?php echo $sosialisasi->sos_tgl->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_tgl->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->ts_id->Visible) { // ts_id ?>
		<td<?php echo $sosialisasi->ts_id->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_ts_id" class="sosialisasi_ts_id">
<span<?php echo $sosialisasi->ts_id->ViewAttributes() ?>>
<?php echo $sosialisasi->ts_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_co->Visible) { // sos_co ?>
		<td<?php echo $sosialisasi->sos_co->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_co" class="sosialisasi_sos_co">
<span<?php echo $sosialisasi->sos_co->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_co->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_peserta->Visible) { // sos_peserta ?>
		<td<?php echo $sosialisasi->sos_peserta->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_peserta" class="sosialisasi_sos_peserta">
<span<?php echo $sosialisasi->sos_peserta->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_peserta->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_prov->Visible) { // sos_prov ?>
		<td<?php echo $sosialisasi->sos_prov->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_prov" class="sosialisasi_sos_prov">
<span<?php echo $sosialisasi->sos_prov->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_prov->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_kab->Visible) { // sos_kab ?>
		<td<?php echo $sosialisasi->sos_kab->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_kab" class="sosialisasi_sos_kab">
<span<?php echo $sosialisasi->sos_kab->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_kab->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_kec->Visible) { // sos_kec ?>
		<td<?php echo $sosialisasi->sos_kec->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_kec" class="sosialisasi_sos_kec">
<span<?php echo $sosialisasi->sos_kec->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_kec->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_desa->Visible) { // sos_desa ?>
		<td<?php echo $sosialisasi->sos_desa->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_desa" class="sosialisasi_sos_desa">
<span<?php echo $sosialisasi->sos_desa->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_desa->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_alamat->Visible) { // sos_alamat ?>
		<td<?php echo $sosialisasi->sos_alamat->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_alamat" class="sosialisasi_sos_alamat">
<span<?php echo $sosialisasi->sos_alamat->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_alamat->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_pot_lahan->Visible) { // sos_pot_lahan ?>
		<td<?php echo $sosialisasi->sos_pot_lahan->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_pot_lahan" class="sosialisasi_sos_pot_lahan">
<span<?php echo $sosialisasi->sos_pot_lahan->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_pot_lahan->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_katinggian->Visible) { // sos_katinggian ?>
		<td<?php echo $sosialisasi->sos_katinggian->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_katinggian" class="sosialisasi_sos_katinggian">
<span<?php echo $sosialisasi->sos_katinggian->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_katinggian->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_biaya->Visible) { // sos_biaya ?>
		<td<?php echo $sosialisasi->sos_biaya->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_biaya" class="sosialisasi_sos_biaya">
<span<?php echo $sosialisasi->sos_biaya->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_biaya->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_kesimpulan->Visible) { // sos_kesimpulan ?>
		<td<?php echo $sosialisasi->sos_kesimpulan->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_kesimpulan" class="sosialisasi_sos_kesimpulan">
<span<?php echo $sosialisasi->sos_kesimpulan->ViewAttributes() ?>>
<?php echo $sosialisasi->sos_kesimpulan->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($sosialisasi->sos_foto->Visible) { // sos_foto ?>
		<td<?php echo $sosialisasi->sos_foto->CellAttributes() ?>>
<span id="el<?php echo $sosialisasi_delete->RowCnt ?>_sosialisasi_sos_foto" class="sosialisasi_sos_foto">
<span>
<?php echo ew_GetFileViewTag($sosialisasi->sos_foto, $sosialisasi->sos_foto->ListViewValue()) ?>
</span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$sosialisasi_delete->Recordset->MoveNext();
}
$sosialisasi_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $sosialisasi_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fsosialisasidelete.Init();
</script>
<?php
$sosialisasi_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$sosialisasi_delete->Page_Terminate();
?>
